
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>POJ 3225(线段树) / 憋错料</title>

    <meta name="description" content="POJ 3225(线段树) POJ 3225 题 意 : 区 间 操 作 , 交 , 并 , 补 等 思 路 : 我 们 一 个 一 个 操 作 来 分 析 :( 用 0 和 1 表 示 是 否 包 含 区 间 , - 1 表 示 该 区 间 内 既 有 包 含 又有 不 包 含 ) U : 把 区 间 [l,r ] 覆 盖 成 1 I: 把 [ - ∞ ,l) ( r, ∞ ] 覆 盖 成 0 D : 把 区 间 [l,r ] 覆 盖 成 0 C : 把 [ - ∞ ,l) ( r, ∞ ] 覆 盖 成 0 , 且 [l">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">POJ 3225(线段树)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2><a href="http://poj.org/problem?id=3225" rel="external nofollow noreferrer">POJ 3225</a></h2>
<p>题 意 : 区 间 操 作 , 交 , 并 , 补 等</p>
<p>思 路 :</p>
<p>　　我 们 一 个 一 个 操 作 来 分 析 :( 用 0 和 1 表 示 是 否 包 含 区 间 , - 1 表 示 该 区 间 内 既 有 包 含 又有 不 包 含 )</p>
<p>　　U : 把 区 间 [l,r ] 覆 盖 成 1</p>
<p>　　I: 把 [ - ∞ ,l) ( r, ∞ ] 覆 盖 成 0</p>
<p>　　D : 把 区 间 [l,r ] 覆 盖 成 0</p>
<p>　　C : 把 [ - ∞ ,l) ( r, ∞ ] 覆 盖 成 0 , 且 [l,r ] 区 间 0 / 1 互 换</p>
<p>　　S :[l,r ] 区 间 0 / 1 互 换</p>
<p>　　　　成 段 覆 盖 的 操 作 很 简 单 , 比 较 特 殊 的 就 是 区 间 0 / 1 互 换 这 个 操 作 , 我 们 可 以 称 之 为 异或 操 作</p>
<p>　　　　很 明 显 我 们 可 以 知 道 这 个 性 质 : 当 一 个 区 间 被 覆 盖 后 , 不 管 之 前 有 没 有 异 或 标 记 都 没有 意 义 了</p>
<p>　　　　所 以 当 一 个 节 点 得 到 覆 盖 标 记 时 把 异 或 标 记 清 空 <br />　　　　而 当 一 个 节 点 得 到 异 或 标 记 的 时 候 , 先 判 断 覆 盖 标 记 , 如 果 是 0 或 1 , 直 接 改 变 一 下 覆盖 标 记 ,</p>
<p>　　不 然 的 话 改 变 异 或 标 记</p>
<p>　　　　开 区 间 闭 区 间 只 要 数 字 乘 以 2 就 可 以 处 理 ( 偶 数 表 示 端 点 , 奇 数 表 示 两 端 点 间 的 区 间 ) 线 段 树 功 能 :</p>
<p>　　u p d a t e : 成 段 替 换 ,区 间 异 或 q u e r y : 简 单 h a s h</p>
<pre> 1 #include &lt;iostream&gt;
 2 #include &lt;stdio.h&gt;
 3 #include &lt;string.h&gt;
 4 #define lson l,m,rt&lt;&lt;1
 5 #define rson m+1,r,rt&lt;&lt;1|1
 6 using namespace std;
 7 const int MAX = 65555*2;
 8 bool Hash[MAX];
 9 int cover[MAX&lt;&lt;2], XOR[MAX&lt;&lt;2];
10 void FXOR(int rt){
11     if(cover[rt] != -1)cover[rt]^=1;
12     else XOR[rt] ^= 1;
13 }
14 void PushDown(int rt){
15     if(cover[rt] != -1){
16         cover[rt&lt;&lt;1] = cover[rt&lt;&lt;1|1] = cover[rt];
17         XOR[rt&lt;&lt;1] = XOR[rt&lt;&lt;1|1] = 0;
18         cover[rt] = -1;
19     }
20     if(XOR[rt]){
21         FXOR(rt&lt;&lt;1);
22         FXOR(rt&lt;&lt;1|1);
23         XOR[rt] = 0;
24     }
25 }
26 void update(char op, int LL, int RR, int l, int r, int rt){
27     if(LL &lt;= l &amp;&amp; r &lt;= RR){
28         if(op == ‘U‘){
29             cover[rt] = 1;
30             XOR[rt] = 0;
31         }else if(op == ‘D‘){
32             cover[rt] = 0;
33             XOR[rt] = 0;
34         }else if(op == ‘C‘ || op == ‘S‘){
35             FXOR(rt);
36         }
37         return;
38     }
39     PushDown(rt);
40     int m = (l+r)&gt;&gt;1;
41     if(LL &lt;= m)update(op,LL,RR,lson);
42     else if(op == ‘I‘ || op == ‘C‘){
43         XOR[rt&lt;&lt;1] = cover[rt&lt;&lt;1] = 0;
44     }
45     if(m &lt; RR)update(op,LL,RR,rson);
46     else if(op == ‘I‘ || op == ‘C‘){
47         XOR[rt&lt;&lt;1|1] = cover[rt&lt;&lt;1|1] = 0;
48     }
49 }
50 void query(int l, int r, int rt){
51     if(cover[rt] == 1){
52         for(int it = l; it &lt;= r; it++){
53             Hash[it] = true;
54         }
55         return;
56     }else if(cover[rt] == 0)return;
57     if(l == r) return;
58     PushDown(rt);
59     int m = (l+r)&gt;&gt;1;
60     query(lson);
61     query(rson);
62 }
63 int main(){
64     cover[1] = XOR[1] = 0;
65     char op, l, r;
66     int a, b;
67     while(~scanf("%c %c%d,%d%c\n",&amp;op,&amp;l,&amp;a,&amp;b,&amp;r)){
68         a&lt;&lt;=1, b&lt;&lt;=1;
69         if(l == ‘(‘)a++;
70         if(r == ‘)‘)b--;
71         if(a &gt; b){
72             if(op==‘C‘ || op == ‘I‘){
73                 cover[1] = XOR[1] = 0;
74             }
75         }else update(op,a,b,0,MAX,1);
76     }
77     query(0,MAX,1);
78     bool flag = false;
79     int s = -1,e;
80     for(int i = 0; i &lt;= MAX; i ++){
81         if(Hash[i]){
82             if(s == -1)s=i;
83             e =i;
84         }else{
85             if(s != -1){
86                 if(flag)printf(" ");
87                 flag = true;
88                 printf("%c%d,%d%c",s&amp;1?‘(‘:‘[‘,s&gt;&gt;1,(e+1)&gt;&gt;1,e&amp;1?‘)‘:‘]‘);
89                 s=-1;
90             }
91         }
92     }
93     if(!flag)printf("empty set");
94     return 0;
95 }</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 01:21:07 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/return/" title="return">return</a>, <a href="https://www.biecuoliao.com/tag/str/" title="str">str</a>, <a href="https://www.biecuoliao.com/tag/blank/" title="blank">blank</a>, <a href="https://www.biecuoliao.com/tag/namespace/" title="namespace">namespace</a>, <a href="https://www.biecuoliao.com/tag/ring/" title="ring">ring</a>, <a href="https://www.biecuoliao.com/tag/target/" title="target">target</a>, <a href="https://www.biecuoliao.com/tag/turn/" title="turn">turn</a>, <a href="https://www.biecuoliao.com/tag/empty/" title="empty">empty</a>, <a href="https://www.biecuoliao.com/tag/%e7%ba%bf%e6%ae%b5%e6%a0%91/" title="线段树">线段树</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>POJ 3225(线段树)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41El9X4.html" rel="bookmark">poj 3225 线段树&plus;位运算</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				略复杂的一道题,首先要处理开闭区间问题,扩大两倍即可,注意输入最后要\n,初始化不能随便memset 采用线段树,对线段区间进行0,1标记表示该区间是否包含在s内U T S ← S ∪ T 即将[l,r]标记为1I T S ← S ∩ T 即将-oo~l和r~+oo标记为0,因为是并集,所以并集后的集合s一定在[l,r]内,则在l,r内的集合被标记是什么状态就是什么状态(表示是否属于s),[l,r]外的集合不属于s所以标记为0D T S ← S - T  即将[l,r]标记为0,则在[l,r]内			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47Zzgy3.html" rel="bookmark">POJ 3225 &lpar;线段树 区间更新&rpar; Help with Intervals</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这道题搞了好久,其实坑点挺多.. 网上找了许多题解,发现思路其实都差不多,所以就不在重复了. 推荐一篇比较好的题解,请戳这. 另外,如果因为可能要更新多次,但最终查询只需要一次,所以没有写pushup函数,仅有一个pushdown. 1 #include &lt;cstdio&gt; 2 3 const int maxn = 131072; 4 //const int maxn = 10; 5 int qL, qR, op; 6 int setv[maxn &lt;&lt; 2], xorv[maxn &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02Ddjo4.html" rel="bookmark">POJ 2528 &lpar;线段树&plus;离散化&rpar; Mayor&amp;&num;39&semi;s posters</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				因为将每个单位都作为一个最小单元的话会爆内存的 所以,将海报的每个端点进行排序,将这些端点最为最小的区间. 毕竟是刚刚接触线段树,理解起来还有些吃力,还是那句话,题做多了慢慢就好了. 萌萌的AC代码君贴上. 1 //#define LOCAL 2 #include &lt;iostream&gt; 3 #include &lt;algorithm&gt; 4 #include &lt;cmath&gt; 5 using namespace std; 6 7 int n; 8 struct CPost 9			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vQBrj0.html" rel="bookmark">poj  2777  线段树的区间更新</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Count Color Time Limit: 1000 MS Memory Limit: 65536 KB 64-bit integer IO format: %I64d , %I64u Java class name: Main [Submit] [Status] [Discuss] Description Chosen Problem Solving and Program design as an optional course, you are required to solve al			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41oRwk0.html" rel="bookmark">转载：：POJ 2991 线段树&plus;计算几何&lpar;有c&plus;&plus;结构体操作&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				POJ 2991 线段树+计算几何 (2011-02-27 21:13:44) 转载▼ 标签: 杂谈 分类: OI 话说这一题真的是很恶心很恶心,不过确实改变了我对线段树的一些看法,算是很经典的题目. 题意:有一个吊车由很多个不同长度的线段组成,一开始是一条长直线起点在(0,0),尾节点在(0,sum[n]),每条线段之间的夹角的初始值是180度.然后有一些操作a. b将第a条线段和a+1之间的夹角变成b度,经过每一次操作都要求出尾节点的坐标. 首先要用到一个计算几何的知识(没学过..请教而来)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l7A5bM.html" rel="bookmark">poj 2750&lpar;线段树的动态规划&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Potted Flower Time Limit: 2000MS   Memory Limit: 65536K Total Submissions: 4186   Accepted: 1581 Description The little cat takes over the management of a new park. There is a large circular statue in the center of the park, surrounded by N pots of f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyngGY0.html" rel="bookmark">POJ 2570 线段树</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Potted Flower Time Limit: 2000 MS Memory Limit: 65536 KB 64-bit integer IO format: %I64d , %I64u Java class name: Main [Submit] [Status] [Discuss] Description The little cat takes over the management of a new park. There is a large circular statue in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j9GzoM.html" rel="bookmark">poj 2828 线段树</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://poj.org/problem?id=2828 学到的思维: 1.变化的或者后来的优先影响前面的,那么从最后一个往前看,最后一个就成了 确定的, 并且后来的也可以确定----如果从前往后,所有的随时都不是确定的 2.线段树叶子节点直接维护区间(线段)信息,非叶子节点v维护的是以v为树根的整个子树的信息,那么假设父节点rt信息为[l,r]那么左子树维护[l,mid],右子树维护[mid+1,r]的信息.如果如果是前缀和,rt里是1-n的和,左子树1~n/2的和,右子树是n/2+1~n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YWNOX4.html" rel="bookmark">POJ 3468  线段树&plus;lazy标记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				lazy标记 Time Limit:5000MS     Memory Limit:131072KB     64bit IO Format:%I64d &amp; %I64u Submit Status Description You have N integers, A1, A2, ... , AN. You need to deal with two kinds of operations. One type of operation is to add some given number to			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/74QAYk4.html" rel="bookmark" class="title">linux下birt 图表中文乱码问题</a>
					<div>
						birtChart 在linux下中文乱码的问题是Java虚拟机找不到中文字库字体文件造成的. 步骤: 1.把.bash_profile中的export LANG=zh_CN.GB2312修改为: e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4p5jPM.html" rel="bookmark" class="title">stat函数</a>
					<div>
						一.概述: 表头文件:    #include &lt;sys/stat.h&gt;             #include &lt;unistd.h&gt;定义函数:    int stat(co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n0llWZ0.html" rel="bookmark" class="title">泛型，链表</a>
					<div>
						泛型是Java SE 1.5的新特性,泛型的本质是参数化类型,也就是说所操作的数据类型被指定为一个参数.这种参数类型可以用在类.接口和方法的创建中,分别称为泛型类.泛型接口.泛型方法. Java语言引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RB9E90.html" rel="bookmark" class="title">浅析网站跳出率对搜索引擎排名的影响</a>
					<div>
						http://t.qq.com/pizhouxiao5294 http://t.qq.com/p/t/448359031273818 http://t.qq.com/tongshanxi5699 ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGGV8aM.html" rel="bookmark" class="title">第十一篇：SOUI系统资源管理</a>
					<div>
						从前篇已经讲到在SOUI中所有资源文件通过一个uires.idx文件进行索引. 这里将介绍在程序中如何引用这些资源文件. 在SOUI系统中,资源文件通过一个统一的接口对象读取: namespace S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NzmlG4.html" rel="bookmark" class="title">shell脚本相关笔记</a>
					<div>
						书写一个shell脚本并使之执行的步骤: 1. 打开一个文件,以 #! bin/bash作为开头 2.在文件中写入一些正确可执行的shell语句 3.保存文件 4.更改文件权限,执行文件 一些小技巧: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xRNKN4.html" rel="bookmark" class="title">创业建议干货分享</a>
					<div>
						?? 一朋友问创业不同阶段有哪些側重点,须要注重哪些? 笔者简单从说三个阶段谈谈一点认识. 我把我们交流过程中提到的一些干货拿出来和很多其它朋友分享. 孕育期: 思想:充分的思想准备.创业路上充满艰辛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZRjzM.html" rel="bookmark" class="title">查看网络端口</a>
					<div>
						ICMP和IP协议是属于同一层次(网络层)的,其报文也是封在IP报文中传输,而端口 是传输层TCP/UDP协议的概念,所以Ping端口是不能成功的 ** Windows check the ports ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZN5em3.html" rel="bookmark" class="title">Android Studio基本要素</a>
					<div>
						这个指南提供了在AndroidStudio和Gradle中使用Oculus MobileSDK的基本配置,并试图弥补相关的Android Studio文档. 迁移Eclipse工程到Android S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R7RDy3.html" rel="bookmark" class="title">分子模拟软件Schrodinger Suites 2015安装</a>
					<div>
						安装平台:redhat 5.6 schrodinger 2015 先把schrodinger_2015.iso 挂载到/mnt &gt;&gt;&gt;&gt; mount -o loop schro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41DBRJ3.html" rel="bookmark" class="title">FilenameFilter总结</a>
					<div>
						一.FilenameFilter介绍 java.io.FilenameFilter是文件名过滤器,用来过滤不符合规格的文件名,并返回合格的文件: 一般地: (1)String[] fs = f.lis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWq2Za3.html" rel="bookmark" class="title">uva1366  dp</a>
					<div>
						这题说的是给了 一个矩阵在每个单元内有BLOHHLUM 种的资源 Bi,j, 有YEYENUM 种的 资源Ai,j , 资 源 从 该 单 位 出 发 不能 转 弯 直 接 运 送 到 像 B 类 资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y1y7w0.html" rel="bookmark" class="title">sql 聚合函数</a>
					<div>
						Sql Server 字符串聚合函数 ql Server 有如下几种聚合函数SUM.AVG.COUNT.COUNT(*).MAX 和 MIN,但是这些函数都只能聚合数值类型,无法聚合字符串. 如下表: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0neRDKM.html" rel="bookmark" class="title">jmeter JDBC请求连接测试mysql数据库</a>
					<div>
						所有jmeter基本组件功能本文不做介绍.jmeter要链接mysql数据库,首先得下载mysql jdbc驱动包(注:驱动包的版本一定要与你数据库的版本匹配,驱动版本低于mysql版本有可能会导致连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzkNKd0.html" rel="bookmark" class="title">机器学习基石笔记-chapter 1 The learning problem</a>
					<div>
						什么时候适合用机器学习来解决问题? 存在潜在的规律用于学习 但是使用编程定义这种规律困难 存在包含这些规律的数据 机器学习的一种描述: 通过数据D,一个假设的集合H以及一种演算法A,找到集合H中的某个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgRn83.html" rel="bookmark" class="title">AI简单入门&mdash;&mdash;米老鼠</a>
					<div>
						成果: 步骤如下: 一.新建文档 二.选椭圆工具,在画布中间点一下,画一个100px*100px的圆,如下 三.同上,再画两个50px*50px小圆.点左上角的选择工具,点小圆中心,放好位置. 四.全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZaNqL0.html" rel="bookmark" class="title">获得当前设备可用的内存 和 获取当前任务所占用的内存 &lpar;单位&colon;MB&rpar;&lpar;转&rpar;</a>
					<div>
						获取当前任务所占的内存: #include &lt;sys/sysctl.h&gt; #include &lt;mach/mach.h&gt; // 任务占用内存 double usedMemory( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ag9Bg4.html" rel="bookmark" class="title">collection映射</a>
					<div>
						讲了many2one和one2many,下面来看看get方法.在之前已经说过,如果是映射单对象,直接使用association来映射.而如果关系 是一个集合,则需要使用collection来描述.和a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qD1850.html" rel="bookmark" class="title">精通Web Analytics 2&period;0 （2） 内容简介</a>
					<div>
						精通Web Analytics 2.0 : 用户中心科学与在线统计艺术 What’s Inside the Book? This book builds on the foundation laid  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02qBvAM.html" rel="bookmark" class="title">Git 联机版</a>
					<div>
						简介: 之前研究了 Git 单机版 ( 单兵作战 ),今天来研究一下 Git 联机版 ( 团队协作 )! GitHub 是一个开源的代码托管平台,可以分享自己的代码到该平台上,让大家参与开发或供大家使 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
